Page MenuHomePhabricator

Remove entityViewInit's dependency on entityLoaded
Closed, ResolvedPublic

Description

entityViewInit depends on the hook system and some module firing the entityLoaded hook.
The entityLoaded module does have dependencies which are not modeled in ResourceLoader and consequently expressing it as a dependency can result in a broken dependency chain (if the entityLoaded module's preconditions are not satisfied).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2020, 3:52 PM

Change 592416 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] entityViewInit: don't express entityLoaded module dep

https://gerrit.wikimedia.org/r/592416

Pablo-WMDE changed the task status from Open to Stalled.May 4 2020, 8:08 AM

Hoo man wrote

This can be merged no earlier than June 3 (so that it wont be deployed earlier than 30 days after Ib676c5820 is live on Wikidata)... for good measure I suggest waiting another week, merging this on/after June 10 only.

Nikki added a subscriber: Nikki.May 10 2020, 11:53 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 9 2020, 9:13 AM

Change 592416 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] entityViewInit: don't express entityLoaded module dep

https://gerrit.wikimedia.org/r/592416

Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 11 2020, 4:05 PM